OptionValues (MaltParser 1.4.1)
Date: 2010-07-15

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| MaltParser 1.4.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.maltparser.core.options
Class OptionValues

    java.lang.Object
      org.maltparser.core.options.OptionValues

    public class OptionValues

extends Object

OptionValues contain a number of option containers, which contains the option values (the instance of options).

Since:
  1.0
Author:
  Johan Hall

Constructor Summary
`OptionValues()` Creates OptionValues.

Method Summary
`boolean` | `addOptionValue(int containerType, int containerIndex, Option option, Object value)` Adds an option value to an option to one of the internal option container specified by the type.
`int` | `getNumberOfOptionValues(int containerIndex)` Returns the number of option values for a particular option container.
`Set<Integer>` | `getOptionContainerIndices()` Returns a sorted set of container names.
`Object` | `getOptionValue(int containerIndex, Option option)` Returns the option value for an option that is in a specific option container.
`Object` | `getOptionValue(Option option)` Returns the option value for an option.
`String` | `getOptionValueString(int containerIndex, Option option)` Returns a string representation of the option value for an option that is in a specific option container.
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### OptionValues

    public OptionValues()

  Creates OptionValues.

Method Detail

### getOptionValue

    public Object getOptionValue(int containerIndex,
                                 Option option)
                          throws OptionException

  Returns the option value for an option that is in a specific option container.

  Parameters:
    `containerIndex` - the index of the option container.
    `option` - the option object
  Returns:
    an object that contains the value of the option, null if the option value could not be found.
  Throws:
    `OptionException`

### getOptionValueString

    public String getOptionValueString(int containerIndex,
                                       Option option)
                                throws OptionException

  Returns a string representation of the option value for an option that is in a specific option container.

  Parameters:
    `containerIndex` - the index of the option container.
    `option` - an option object
  Returns:
    a string representation of the option value for an option that is in a specific option container.
  Throws:
    `OptionException`

### getOptionValue

    public Object getOptionValue(Option option)
                          throws OptionException

  Returns the option value for an option.

  Parameters:
    `option` - an option object
  Returns:
    the option value for an option, null if the option value could not be found.
  Throws:
    `OptionException`

### getNumberOfOptionValues

    public int getNumberOfOptionValues(int containerIndex)

  Returns the number of option values for a particular option container.

  Parameters:
    `containerIndex` - The index of the option container.
  Returns:
    the number of option values for a particular option container.

### getOptionContainerIndices

    public Set<Integer> getOptionContainerIndices()

  Returns a sorted set of container names.

  Returns:
    a sorted set of container names.

### addOptionValue

    public boolean addOptionValue(int containerType,
                                  int containerIndex,
                                  Option option,
                                  Object value)
                           throws OptionException

  Adds an option value to an option to one of the internal option container specified by the type.

  Parameters:
    `containerType` - the type of the option container.
    `containerIndex` - the index of the option container.
    `option` - an option to add
    `value` - an option value to add
  Returns:
    true if the value is added, false if the value already is in use.
  Throws:
    `OptionException`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| MaltParser 1.4.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2007-2010 Johan Hall, Jens Nilsson and Joakim Nivre.